- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Enumerations | Functions | Variables
ecore_audio_obj_in.h File Reference

Ecore_Audio Input Object. More...

## Macros
#define | EAPI
#define | ECORE_AUDIO_OBJ_IN_CLASS ecore_audio_obj_in_class_get()
| Ecore_Audio input object class.
#define | ECORE_AUDIO_OBJ_IN_ID(sub_id) (ECORE_AUDIO_OBJ_IN_BASE_ID + EO_TYPECHECK(enum Ecore_Audio_Obj_In_Sub_Ids, sub_id))
#define | ecore_audio_obj_in_speed_set(speed) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SPEED_SET), EO_TYPECHECK(double, speed)
| Set the playback speed of the input. More...
#define | ecore_audio_obj_in_speed_get(speed) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SPEED_GET), EO_TYPECHECK(double *, speed)
| Get the playback speed of the input. More...
#define | ecore_audio_obj_in_samplerate_set(samplerate) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SAMPLERATE_SET), EO_TYPECHECK(int, samplerate)
| Set the sample-rate of the input. More...
#define | ecore_audio_obj_in_samplerate_get(samplerate) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SAMPLERATE_GET), EO_TYPECHECK(int *, samplerate)
| Get the sample-rate of the input. More...
#define | ecore_audio_obj_in_channels_set(channels) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_CHANNELS_SET), EO_TYPECHECK(int, channels)
| Set the amount of channels the input has. More...
#define | ecore_audio_obj_in_channels_get(channels) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_CHANNELS_GET), EO_TYPECHECK(int *, channels)
| Get the amount of channels the input has. More...
#define | ecore_audio_obj_in_preloaded_set(preloaded) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_PRELOADED_SET), EO_TYPECHECK(Eina_Bool, preloaded)
| Set the preloaded state of the input. More...
#define | ecore_audio_obj_in_preloaded_get(preloaded) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_PRELOADED_GET), EO_TYPECHECK(Eina_Bool *, preloaded)
| Get the preloaded state of the input. More...
#define | ecore_audio_obj_in_looped_set(looped) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LOOPED_SET), EO_TYPECHECK(Eina_Bool, looped)
| Set the looped state of the input. More...
#define | ecore_audio_obj_in_looped_get(ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LOOPED_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Get the looped state of the input. More...
#define | ecore_audio_obj_in_length_set(length) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LENGTH_SET), EO_TYPECHECK(double, length)
| Set the length of the input. More...
#define | ecore_audio_obj_in_length_get(ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LENGTH_GET), EO_TYPECHECK(double *, ret)
| Get the length of the input. More...
#define | ecore_audio_obj_in_read(buf, len, ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_READ), EO_TYPECHECK(void *, buf), EO_TYPECHECK(size_t, len), EO_TYPECHECK(ssize_t *, ret)
| Read from the input. More...
#define | ecore_audio_obj_in_seek(offs, mode, ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SEEK), EO_TYPECHECK(double, offs), EO_TYPECHECK(int, mode), EO_TYPECHECK(double *, ret)
| Seek within the input. More...
#define | ecore_audio_obj_in_output_get(ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_OUTPUT_GET), EO_TYPECHECK(Eo **, ret)
| Get the output that this input is attached to. More...
#define | ecore_audio_obj_in_remaining_get(ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_REMAINING_GET), EO_TYPECHECK(double *, ret)
| Get the remaining time of the input. More...
#define | ECORE_AUDIO_EV_IN_LOOPED (&(_ECORE_AUDIO_EV_IN_LOOPED))
| The input looped. More...
#define | ECORE_AUDIO_EV_IN_STOPPED (&(_ECORE_AUDIO_EV_IN_STOPPED))
| The input stopped playing. More...
#define | ECORE_AUDIO_EV_IN_SAMPLERATE_CHANGED (&(_ECORE_AUDIO_EV_IN_SAMPLERATE_CHANGED))
| The sample rate changed. More...

## Enumerations
enum | Ecore_Audio_Obj_In_Sub_Ids { ECORE_AUDIO_OBJ_IN_SUB_ID_SPEED_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_SPEED_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_SAMPLERATE_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_SAMPLERATE_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_CHANNELS_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_CHANNELS_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_PRELOADED_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_PRELOADED_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_LOOPED_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_LOOPED_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_LENGTH_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_LENGTH_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_READ, ECORE_AUDIO_OBJ_IN_SUB_ID_READ_INTERNAL, ECORE_AUDIO_OBJ_IN_SUB_ID_SEEK, ECORE_AUDIO_OBJ_IN_SUB_ID_OUTPUT_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_REMAINING_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_LAST }

## Functions
const Eo_Class * | ecore_audio_obj_in_class_get ()
| Get the Eo class ID. More...

## Variables
EAPI Eo_Op | ECORE_AUDIO_OBJ_IN_BASE_ID
const Eo_Event_Description | _ECORE_AUDIO_EV_IN_LOOPED
const Eo_Event_Description | _ECORE_AUDIO_EV_IN_STOPPED
const Eo_Event_Description | _ECORE_AUDIO_EV_IN_SAMPLERATE_CHANGED

## Detailed Description

Ecore_Audio Input Object.